package cn.iselab.mooctest.site.web.data.reportData;

import cn.iselab.mooctest.site.web.data.functionalTestData.FunctionalTestVO;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by yangdenghui on 2018/3/8.
 */
@Data
public class ReportDataVO {
    private List<Integer> menus;
    private TestResultVO testResult;
    private IssueDistributionVO issueDistribution;
    private List<ActiveIssueDetailVO> activeIssueDetails;
    private List<NeedOptimizedProblemVO> needOptimizedProblems;
    private List<PieDataVO> failBrandPieData;
    private List<PieDataVO> failOSPieData;
    private List<PieDataVO> failResPieData;
    private PerformanceSummaryItemVO performanceSummaryItem;
    private PerformanceDetailItemVO performanceDetailItem;
    private AppBasicInfoVO appBasicInfo;
    private List<DeviceDetailVO> deviceDetails;
    private FunctionalTestVO functionalTest;

    public ReportDataVO() {
        this.menus = new ArrayList<>();
        this.activeIssueDetails = new ArrayList<>();
        this.needOptimizedProblems = new ArrayList<>();
        this.failBrandPieData = new ArrayList<>();
        this.failOSPieData = new ArrayList<>();
        this.failResPieData = new ArrayList<>();
        this.deviceDetails = new ArrayList<>();
        this.functionalTest = new FunctionalTestVO();
    }
}
